Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.template
Class AddListAttributeModel

    java.lang.Object
      org.apache.tiles.template.AddListAttributeModel

    public class AddListAttributeModel

extends java.lang.Object

Declare a list that will be pass as an attribute.

Declare a list that will be pass as an attribute . List elements are added using the tag 'addAttribute' or 'addListAttribute'. This tag can only be used inside 'insertTemplate', 'insertDefinition' or 'definition' tag.

Since:
  2.2.0
Version:
  $Rev: 797765 $ $Date: 2009-07-25 15:20:26 +0200 (sab, 25 lug 2009) $

Constructor Summary
`AddListAttributeModel()`

Method Summary
`void` | `end(ArrayStack<java.lang.Object> composeStack)` Ends the operation.
`void` | `start(ArrayStack<java.lang.Object> composeStack, java.lang.String role)` Starts the operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddListAttributeModel

    public AddListAttributeModel()

Method Detail

### start

    public void start(ArrayStack<java.lang.Object> composeStack,
                      java.lang.String role)

  Starts the operation.

  Parameters:
    `composeStack` - The composing stack.
    `role` - A comma-separated list of roles. If present, the attribute will be rendered only if the current user belongs to one of the roles.
  Since:
    2.2.0

### end

    public void end(ArrayStack<java.lang.Object> composeStack)

  Ends the operation.

  Parameters:
    `composeStack` - The composing stack.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.